Subject: bug#57245: 29.0.50; M-> in a large XML file (without long lines) is slow

From: Dmitry Gutov <[email-masked]>
Date: Wed, 17 Aug 2022 01:20:38 +0300

On 17.08.2022 00:45, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
>> The font-lock narrowing (if it's indeed the method we're going to use to
>> speed up its performance) shouldn't be conditioned on the presence of
>> long lines.
> font-lock does suffer from long lines

Perhaps with when some specific rules are used? Like MATCH-ANCHORED, one 
instance of which I deleted from js-mode a few days ago.

Otherwise, syntax-wholeline-max seems to be doing its job fine: if I 
comment out the narrowing code in handle_fontified_prop (or switch to 
the branch I posted previously), two XML files -- one with long lines 
and one without (the files differ only by addition of newlines) -- show 
approximately the same delay on M->.